| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwDI.cpp File Reference

Functions for reading (only) Digital Instruments files. More...

`#include "rwDI.h"`
`#include "file_util.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | readDI (Bimage *p, int readdata, int img_select)
| Reading a Digital Instruments image file format. A two-image 2D image format used in Digital Instruments atomic force microscopes. The header is text varying with the version of DI software, which may be 4,8,12,20K and is supposed to be read from the header itself. The header contains the following keywords (tags): image list: presumably one entry per image Data offset: offset to start of data, may however be incorrect if the file was transferred with ftp as text Data length: total length of data block Samps/line: samples per line (x-dimension) Number of lines: lines (y-dimension) list end: end of header File format extensions: .di, .DI Byte order: Always little endian because the DI software runs on Intel machines and there is no way to detect byte order from the text header. Data type: short. More...

## Variables
int | verbose

## Detailed Description

Functions for reading (only) Digital Instruments files.

Author
  Bernard Heymann

Date
  Created: 19990424
  Modified: 20120321

Definition in file rwDI.cpp.

## Function Documentation

## ◆ readDI()

int readDI | ( | Bimage * | p,
|  | int | readdata,
|  | int | img_select
| ) |  |

Reading a Digital Instruments image file format. A two-image 2D image format used in Digital Instruments atomic force microscopes. The header is text varying with the version of DI software, which may be 4,8,12,20K and is supposed to be read from the header itself. The header contains the following keywords (tags): image list: presumably one entry per image Data offset: offset to start of data, may however be incorrect if the file was transferred with ftp as text Data length: total length of data block Samps/line: samples per line (x-dimension) Number of lines: lines (y-dimension) list end: end of header File format extensions: .di, .DI Byte order: Always little endian because the DI software runs on Intel machines and there is no way to detect byte order from the text header. Data type: short.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.
  img_select | image selection in multi-image file (-1 = all images).

Returns
  int error code (<0 means failure).

Definition at line 42 of file rwDI.cpp.

## Variable Documentation

## ◆ verbose

int verbose